package ir.cristiansoft.spammer;

import android.content.SharedPreferences;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class HistoryActivity extends AppCompatActivity {

    ListView listHistory;

    List<String> list;

    private SharedPreferences sp;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_history);

        listHistory = (ListView) findViewById(R.id.list_history);

        loadHistory();
        if (list.isEmpty())
        {
            finish();
            Toast.makeText(getBaseContext(),getString(R.string.message_empty_history),Toast.LENGTH_LONG).show();
        }
        else if (!list.get(0).equals(""))
        {
            listHistory.setDividerHeight(5);
            listHistory.setAdapter(new ArrayAdapter<>(getBaseContext(), android.R.layout.simple_list_item_1, list));
        }
        else
        {
            Toast.makeText(getBaseContext(),getString(R.string.message_empty_history),Toast.LENGTH_LONG).show();
        }

        listHistory.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {

                MainActivity.txtContent.setText(((TextView)view).getText());
                Toast.makeText(getApplicationContext(),((TextView)view).getText(),Toast.LENGTH_LONG).show();
                finish();
            }
        });


        //********** onCreate
    }




    private void loadHistory(){
        sp = getApplicationContext().getSharedPreferences("history" , 0);
        list = Arrays.asList((sp.getString("list_history" , "").replace("[","").replace("]","")).split(", "));
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_history, menu);
        return true;
    }
    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        int id = item.getItemId();
        if (id == R.id.delete_history)
        {
            MainActivity.arrayList.clear();
            sp = getApplicationContext().getSharedPreferences("history",0);
            SharedPreferences.Editor editor = sp.edit();
            editor.putString("list_history","");
            editor.apply();
            editor.commit();
            Toast.makeText(this , getString(R.string.message_clear_history) , Toast.LENGTH_LONG).show();
            finish();
        }
        return super.onOptionsItemSelected(item);
    }

}
